.main-menu li.current-menu-item a {color: var(--bs-theme-color);}
.product_prices-detail del span, .product_prices-detail del span {font-size: 18px;color: #999;text-decoration: line-through;font-weight: 500;}
.product_prices-detail ins span, .product_prices-detail span{font-size: 24px;color: var(---bs-text-color-black);font-weight: 600;}
.woocommerce div.product form.cart.product--cart_form, .woocommerce div.product div.summary{margin-bottom: 0;}
.review--section .review-form-wrap #commentform.review-form .form-submit #submit.submit-review {background: var(--bs-theme-color);color: #fff;border: none;border-radius: 8px;cursor: pointer;width: fit-content;padding: 12px 16px;margin: 20px 0px;}
.product .review--section .review-form-wrap #commentform.review-form #wp-comment-cookies-consent{display: inline;width: auto;}
.review-form-wrap.active{max-height: 100%;}
.review-form{gap: 0;}
/* .woocommerce p.stars, .comment-form-comment{margin-bottom: 0;} */
.woocommerce p.stars a{color: var(--bs-theme-color);}
.woocommerce div.product .woocommerce-tabs ul.tabs.tab-nav {display: flex;gap: 20px;list-style: none;padding: 5px;margin: 0 0 30px;background: #f2f5f6;border-radius: 12px;}
.woocommerce div.product .woocommerce-tabs ul.tabs .tab-link {padding: 0;border-radius: 30px;font-size: 16px;font-weight: 600;color: var(--bs-text-color-black);cursor: pointer;transition: .3s;border: none;background: transparent;margin: 0;}
.woocommerce div.product .woocommerce-tabs ul.tabs .tab-link.active {background: #fff;color: var(--bs-theme-color);box-shadow: 0 2px 8px rgba(0,0,0,.05);}
.woocommerce div.product .woocommerce-tabs ul.tabs .tab-link a{padding: 7px 22px;color: unset;}
.woocommerce div.product .woocommerce-tabs ul.tabs::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li::after,
.woocommerce div.product .woocommerce-tabs ul.tabs li::before{display: none;}
.woocommerce div.product .woocommerce-tabs .panel{padding: 25px;margin: 0;}
.woocommerce div.product .product-tabs .woocommerce-tabs .panel p{margin: 0;font-size: 14px;line-height: 29px;color: var(---bs-text-color-black);}
.woocommerce div.product .woocommerce-tabs .panel h2{font-size: 18px;font-weight: bold;}
.yith-wcwl-add-to-wishlist-button:not(.yith-wcwl-add-to-wishlist-button--themed-button) svg.yith-wcwl-add-to-wishlist-button-icon{fill: transparent;}
.yith-wcwl-add-to-wishlist-button:not(.yith-wcwl-add-to-wishlist-button--themed-button).yith-wcwl-add-to-wishlist-button--added svg.yith-wcwl-add-to-wishlist-button-icon{fill: #00E8A6;}
.wishlist--icon i.bx.bxs-heart{color: var(--bs-theme-color);}
.product-card:hover .icon-btn.in--wishlist{background: #262626;}
.product-details a.icon-btn.wishlist--icon i.bx-heart{color: #262626;}
.product-details a.icon-btn.wishlist--icon {background: transparent;border-radius: unset;border: none;width: unset;height: unset;outline: none;}
.product-icons .icon-btn, .product-icons .yith-add-to-wishlist-button-block {width: 39px;height: 39px;background: var(--bs-custom-btn);border-radius: 100%;display: flex;align-items: center;justify-content: center;text-decoration: none;color: #fff;font-size: 24px;transition: all 0.3s ease;}
.product-icons .yith-wcwl-add-to-wishlist-button.yith-wcwl-add-to-wishlist-button--anchor{gap: 0;}
.product-icons .yith-wcwl-add-to-wishlist-button:not(.yith-wcwl-add-to-wishlist-button--themed-button){width: 25px;height: 25px;}
.product-icons .yith-wcwl-add-to-wishlist-button:not(.yith-wcwl-add-to-wishlist-button--themed-button) svg.yith-wcwl-add-to-wishlist-button-icon{color: #fff;}
.product-icons .yith-wcwl-add-to-wishlist-button:not(.yith-wcwl-add-to-wishlist-button--themed-button).yith-wcwl-add-to-wishlist-button--added svg.yith-wcwl-add-to-wishlist-button-icon{color: #00E8A6;}
.product-pagination a, .product-pagination span.page-numbers {display: flex;justify-content: center;align-items: center;width: 45px;height: 45px;background: var(--bs-bg-mint-color);color: #000;border-radius: 50%;font-weight: 600;font-size: 16px;text-decoration: none;transition: 0.3s;border-color: var(--bs-theme-color);border: 1px solid var(--bs-theme-color);}
.product-pagination .page-numbers li:hover a, .product-pagination .page-numbers a.active, .product-pagination span.page-numbers.current {background: var(--bs-theme-color);color: #fff;}
.product-pagination .page-numbers {display: flex;padding-left: 0;list-style: none;align-items: center;gap: 10px;justify-content: center;margin-bottom: 0px;flex-wrap: wrap;}

.register-login .woocommerce-privacy-policy-text {display: none;}
.woocommerce .wishlist--section table.shop_table.wishlist_table tr td{font-weight: 500;padding: 9px 12px;line-height: 1.5em;font-size: 16px;}
.woocommerce .wishlist--section table.shop_table th{font-size: 16px;}
.woocommerce .wishlist--section table.shop_table.wishlist_table tr td.product-price ins{text-decoration: none;}
.woocommerce .wishlist--section table.shop_table.wishlist_table tr td.product-price ins span{font-size: 16px;color: var(--bs-text-color-black);font-weight: 600;}
/*404*/
.error-bg .error {text-align: center;padding: 40px;}
.error-bg .error h1 {font-size: 50px;font-weight: 800;color: var(--bs-text-color-black);margin-bottom: 10px;line-height: 1;}
.error-bg .error p {font-size: 16px;color:var(--bs-text-color-black);margin-bottom: 25px;}
.error-bg {width: 100%;background-image: url('../images/green-shape.png');background-size: contain;background-repeat: repeat-y;background-position: right top, right bottom;animation: moveBg 2s ease-in-out infinite alternate;}

/* Cart */
.woocommerce-cart form.woocommerce-cart-form.cart--form table.cart .product-thumbnail img{max-width: 88px !important;height: auto !important;}
.woocommerce .wishlist--section table.shop_table.wishlist_table tr td.product-name a,
.woocommerce-cart form.woocommerce-cart-form.cart--form table.cart td.product-name a {font-size: 16px;font-weight: 600;color: var(--bs-text-color-black);margin: 20px 0px;line-height: 1.4;text-decoration: none;display: block;display: -webkit-box;-webkit-line-clamp: 2;-webkit-box-orient: vertical;overflow: hidden;}
.woocommerce-cart.woocommerce-page form.woocommerce-cart-form.cart--form table.cart td.actions .input-text {width: 200px;height: 45px;padding: 12px 15px;border: 1px solid #d7d7d7;border-radius: 10px;font-size: 16px;margin-right: 15px;}
.woocommerce-cart.woocommerce-page .cart-collaterals.cart--summary_details .wc-proceed-to-checkout .checkout-button.button {background-color: var(--bs-custom-btn);height: 45px;border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;width: 100%;     padding: 12px}
.woocommerce-cart.woocommerce-page .cart-collaterals.cart--summary_details .wc-proceed-to-checkout .checkout-button.button:hover{background: var(--bs-theme-color);}
form.woocommerce-cart-form.cart--form table.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents th {font-size: 16px;}
form.woocommerce-cart-form.cart--form tr.woocommerce-cart-form__cart-item.cart_item td {font-size: 14px;}
.cart-collaterals.cart--summary_details th {font-size: 16px;}
.cart-collaterals.cart--summary_details td {font-size: 14px;}
form.woocommerce-cart-form.cart--form .woocommerce-cart-form__contents button.button {background-color:var(--bs-theme-color);height: 45px;border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;color: #fff;}
.woocommerce .wishlist--section table.shop_table.wishlist_table tr td.product-remove a, 
.woocommerce form.woocommerce-cart-form.cart--form td.product-remove a.remove {background:var(--bs-theme-color);color: #fff !IMPORTANT;font-size: 24px;}
.cart-collaterals.cart--summary_details section#shipping-calculator-form span.select2-selection.select2-selection--single {height: 45px;padding: 6px 6px;border: 1px solid #d7d7d7;border-radius: 10px;background: #f4f2f3;}
.cart-collaterals.cart--summary_details section#shipping-calculator-form input {height: 45px;padding: 6px 6px;border: 1px solid #d7d7d7;border-radius: 10px;background: #f4f2f3;}
.cart-collaterals.cart--summary_details form.woocommerce-shipping-calculator button.button {background-color:var(--bs-theme-color);height: 45px;border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;width: 100%;color: #fff;margin-top: 15px;}
.cart-collaterals.cart--summary_details table.shop_table.shop_table_responsive {margin-top: 30px;}
.cart-collaterals.cart--summary_details form.woocommerce-shipping-calculator a.shipping-calculator-button {color:var(--bs-theme-color);font-weight: 600;}

/* Checkout */
.woocommerce-checkout .wp-block-woocommerce-checkout.wc-block-checkout input {border-width: 1px;border-style: solid;border-color: rgb(215, 215, 215);border-image: initial;border-radius: 10px;background: rgb(244, 242, 243);font-size: 14px;margin-bottom: 10px;}
.woocommerce-checkout .wp-block-woocommerce-checkout.wc-block-checkout label {font-size: 14px;}
.woocommerce-checkout .wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form__country select  {border-width: 1px;border-style: solid;border-color: rgb(215, 215, 215);border-image: initial;border-radius: 10px;background: rgb(244, 242, 243);font-size: 14px;margin-bottom: 10px;}
.woocommerce-checkout .wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-address-form__state select {border-width: 1px;border-style: solid;border-color: rgb(215, 215, 215);border-image: initial;border-radius: 10px;background: rgb(244, 242, 243);font-size: 14px;margin-bottom: 10px;}
.woocommerce-checkout .wp-block-woocommerce-checkout.wc-block-checkout .wc-block-components-checkout-place-order-button--full-width {background-color:var(--bs-theme-color);height: 45px;font-size: 16px;font-weight: 600;cursor: pointer;width: 100%;border-width: medium;border-style: none;border-color: currentcolor;border-image: initial;border-radius: 12px;}
span.wc-block-components-checkbox__label {font-size: 14px;}
span.wc-block-components-checkbox__label a {color:var(--bs-theme-color);font-weight: 600;}
.wc-block-components-product-metadata p {display: none;}
.wc-block-components-sidebar.wc-block-checkout__sidebar h3.wc-block-components-product-name {font-weight: 600;font-size: 16px;}
.wc-block-components-sidebar.wc-block-checkout__sidebar .wc-block-cart-item__prices {font-size: 14px;}
.wc-block-components-sidebar.wc-block-checkout__sidebar .wc-block-components-product-badge.wc-block-components-sale-badge {display: none;}
.wc-block-components-sidebar.wc-block-checkout__sidebar .wc-block-components-order-summary-item__quantity span {padding: 0px;font-size: 14px;}
.wc-block-components-sidebar.wc-block-checkout__sidebar .wc-block-components-order-summary-item__quantity {background:var(--bs-theme-color);}
.wc-block-components-sidebar.wc-block-checkout__sidebar span.wc-block-formatted-money-amount {font-size: 16px;}
.wc-block-components-sidebar.wc-block-checkout__sidebar span.wc-block-components-totals-item__label {font-size: 16px;}
.wc-block-components-sidebar.wc-block-checkout__sidebar .wc-block-components-totals-coupon .wc-block-components-panel__button {font-size: 16px;}
form#wc-block-components-totals-coupon__form button.wc-block-components-button.wp-element-button.wc-block-components-totals-coupon__button.contained {background-color: var(--bs-theme-color);height: 45px;border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;color: #fff;}
.wc-block-components-address-card span.wc-block-components-address-card__address-section {font-size: 14px;}

/* Order Confirmation */
.woocommerce .woocommerce-customer-details address {font-style: normal;text-align: left;width: 100%;padding: 10px 21px;box-sizing: border-box;background: #fff;border: 1px solid #e6e6e6;border-radius: 12px;height: 200px;transition: .3s ease;font-size: 16px;line-height: 29px;}
.woocommerce .woocommerce-customer-details .woocommerce-column__title {margin-top: 0;font-size: 18px;font-weight: 700;margin-bottom: 16px;}
.woocommerce section.woocommerce-order-details table.shop_table th,
.woocommerce section.woocommerce-order-details table.shop_table td {font-weight: 500;padding: 9px 12px;line-height: 1.5em;font-size: 16px;}
.woocommerce section.woocommerce-order-details table.shop_table th{font-weight: 700;}
.woocommerce section.woocommerce-order-details table.shop_table td.product-name, 
.woocommerce section.woocommerce-order-details table.shop_table td.product-name a{color: var(--bs-theme-color);}
.woocommerce .woocommerce-order ul.order_details{display: flex;flex-wrap: wrap;gap: 20px;padding: 0;}

/* My Account*/
.user-account-dashbooard ul { margin: 0px; padding: 0px; list-style: none;}
.user-account-dashbooard li a { text-decoration: none; color: #fff; display: block;}
.user-account-dashbooard li {background: var(--bs-custom-btn);margin: 8px 0px;line-height: 41px;font-size: 16px;padding: 0px 11px;}
.user-account-dashbooard li:hover { background: var(--bs-theme-color);; color: #fff; cursor: pointer; padding-left: 20px; transition: 0.9s;}
.user-account-dashbooard li.woocommerce-MyAccount-navigation-link.is-active {background: var(--bs-theme-color);border-left: 4px solid #262626;font-weight: 700;}
.user-account-content p a { color: #00E8A6; text-decoration: none;}
.user-account-content th, tr { font-size: 18px;}
.user-account-content .woocommerce-button.wp-element-button.button.view { background: var(--bs-custom-btn); color: #fff; font-weight: 500; font-size: 18px;}
.user-account-content a {color: #00E8A6;font-size: 16px;text-decoration: none;font-weight: 600;}
.user-account-content h3 { font-weight: 600; text-transform: capitalize; font-size: 22px; color: #00E8A6;}
.user-account-content address {text-align: left;width: 100%;padding: 10px 21px;box-sizing: border-box;background: #fff;border: 1px solid #e6e6e6;border-radius: 12px;height: 150px;transition: .3s ease;font-size: 16px;line-height: 29px;}
.user-account-content legend { font-weight: 600; font-size: 20px; color: #00E8A6;}
.user-account-content label { font-size: 18px; }
.user-account-content input {height: 48px; padding: 10px; border: 1px solid #ccc;}
.user-account-content button.woocommerce-Button.button.wp-element-button { background: var(--bs-custom-btn); color: #fff; font-weight: 500; margin-top: 20px;}
.user-account-content a.wc-forward.button, 
.user-account-content .woocommerce-button.button, 
.woocommerce .user-account-content button[name="save_address"], 
.user-account-content .woocommerce-Button.button {background: var(--bs-custom-btn);color: #fff !important;background-color: var(--bs-theme-color);border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;}
.user-account-content a.wc-forward.button:hover, 
.user-account-content .woocommerce-button.button:hover, 
.woocommerce .user-account-content button[name="save_address"]:hover,
.user-account-content .woocommerce-Button.button:hover{background: var(--bs-custom-btn);  color: #fff !important;}
.user-account-content form.woocommerce-EditAccountForm.edit-account .input-text,
.woocommerce .user-account-content .woocommerce-address-fields .input-text{height: 45px;padding: 12px 15px;border: 1px solid #d7d7d7;border-radius: 10px;background: #f4f2f3;font-size: 14px;}
.user-account-content form.woocommerce-EditAccountForm.edit-account label,
.woocommerce .user-account-content .woocommerce-address-fields label{font-size: 16px;font-weight: 600}
.user-account-content form.woocommerce-EditAccountForm.edit-account button[name="save_account_details"],
.woocommerce .user-account-content .woocommerce-address-fields button[name="save_address"]{margin-top: 20px;}
.woocommerce-account .user-account-content .addresses .title h2 {font-size: 18px;font-weight: 700;}
.woocommerce-account .user-account-content .addresses .title .edit{float: left;font-size: 15px;text-decoration: none;font-weight: 600;}
.woocommerce .user-account-content table.my_account_orders td {font-weight: 500;padding: 9px 12px;line-height: 1.5em;font-size: 16px;}
.woocommerce-address-fields span.select2-selection.select2-selection--single {border-width: 1px;border-style: solid;border-color: rgb(215, 215, 215);border-image: initial;border-radius: 10px;background: rgb(244, 242, 243);font-size: 14px;height: 45px;}
.woocommerce-address-fields span.select2-selection.select2-selection--single .select2-selection__rendered{line-height: 30px;}
.woocommerce .user-account-content h2{font-size: 24px;font-weight: bold;}


.user-account-content form.woocommerce-EditAccountForm.edit-account .input-text:focus-visible, .woocommerce-notices-wrapper:focus-visible {outline:none!important;}
.woocommerce-message, .woocommerce-info {border-top-color: var(--bs-theme-color);}
.woocommerce-message::before, .woocommerce-info::before {content: "\e015";color:var(--bs-theme-color);}
.woocommerce-notices-wrapper .woocommerce-message a.button.wc-forward {border: none;border-radius: 12px;font-size: 16px;background:var(--bs-theme-color);color:var(--bs-text-color-white);}
.wishlist_table .product-stock-status span.wishlist-in-stock{color:var(--bs-theme-color)}


/* Tab Stepper */
body.popup-open{overflow: hidden;}
#agePopup.age-popup-overlay{position: fixed;inset: 0;width: 100%;height: 100vh;background: rgba(0,0,0,.65);display: flex;justify-content: center;align-items: center;z-index: 99999;padding: 20px;}
#agePopup .card-stper {max-width: 550px;width: 100%;background: #fff;border-radius: 22px;padding: 24px;box-shadow: 0 15px 40px rgba(0,0,0,.08);background-image: url('../images/green-shape.png');background-repeat: no-repeat;background-position: top right;background-size: contain;}
#agePopup .step-content{display:none;}
#agePopup .step-content.active{display:block;}
#agePopup .step-header{display:flex;justify-content:space-between;align-items:center;margin-bottom:25px;}
#agePopup .step-left{display:flex;align-items:center;gap:12px;}
#agePopup .step-icon{width:44px;height:44px;border-radius:50%;background:#f2f1ff;display:flex;align-items:center;justify-content:center;}
#agePopup .step-icon svg{width:20px;height:20px;fill:var(--bs-theme-color);}
#agePopup .step-text{font-size:12px;letter-spacing:2px;font-weight:700;color:var(--bs-theme-color);}
#agePopup .progress-bars{display:flex;gap:8px;}
#agePopup .bar{width:24px;height:6px;border-radius:50px;background:#d9d7f7;}
#agePopup .bar.active{background:var(--bs-theme-color);}
#agePopup .card-stper h2{font-size: 24px;margin-bottom:12px;color:var(--bs-text-color-black);font-weight: 600;}
#agePopup .subtext{font-size:14px;line-height:1.8;color:var(--bs-text-color-black);margin-bottom:25px;}
#agePopup .checkbox-box{display:flex;gap:12px;border:1px solid #d7d6f6;border-radius:12px;padding:18px;margin-bottom:20px;cursor:pointer;align-items: center;}
#agePopup .checkbox-box input{accent-color:var(--bs-theme-color);}
#agePopup .checkbox-box span{font-size:15px;line-height:1.9;}
#agePopup .checkbox-box a{color:var(--bs-theme-color);}
#agePopup .btn-primary-custom{width:100%;border:none;padding:14px;border-radius:10px;background:var(--bs-theme-color);color:#fff;font-weight:600;text-transform:uppercase;}
#agePopup .btn-primary-custom:disabled{opacity:.5;cursor:not-allowed;}
#agePopup .btn-group-custom{display:flex;gap:15px;}
#agePopup .btn-group-custom button{flex:1;}
#agePopup .btn-outline-custom{border:1px solid #ddd;background:#fff;border-radius:10px;padding:14px;font-weight:600;}
#agePopup .bottom-link{display:block;text-align:center;margin-top:18px;color:var(--bs-text-color-black);text-decoration:none;font-size: 14px;}
#agePopup .bottom-link:hover{text-decoration:underline;}


.forgot--password {width: 100%;max-width: 40%;margin: auto;background: rgba(255, 255, 255, 0.75);backdrop-filter: blur(15px);-webkit-backdrop-filter: blur(15px);border: 1px solid rgba(255, 255, 255, 0.3);border-radius: 20px;box-shadow: 0 20px 45px rgba(0, 0, 0, 0.1);padding: 20px;width: 100%;}
.forgot--password p.woocommerce-form-row.woocommerce-form-row--first.form-row.form-row-first {width: 100%;position: relative;}
.forgot--password input#user_login {padding: 12px 45px;width: 100%;background: #f4f2f3;border: 1px solid #d7d7d7;border-radius: 10px !important;font-size: 14px;color: #4e4e4e;outline: none;transition: all 0.3s ease;font-weight: 400;}
.forgot--password button.woocommerce-Button.button {width: 100%;background: var(--bs-theme-color);color: #fff;border: none;padding: 12px;text-transform: uppercase;font-weight: 600;border-radius: 10px;}
.forgot--password p {font-size: 14px;}
.forgot--password i.bx.bx-user {position: absolute;top: 50%;transform: translateY(-50%);left: 15px;font-size: 20px;color: #8b95a7;z-index: 9;}
.woocommerce-cart table.shop_table td:last-child {border-right: 0px;}
.woocommerce-cart table.shop_table td {border-right: 1px solid #bdbdbd75;}
.wc-block-components-shipping-rates-control__package .wc-block-components-radio-control__label,
.wc-block-components-radio-control__option-layout span {font-weight: 500;font-size: 16px;}
span.wc-block-components-payment-method-label {font-size: 16px;}
div#radio-control-wc-payment-method-options-cod__content {font-size: 14px;}
.wc-block-components-radio-control .wc-block-components-radio-control__input:checked:before {background: #00e8a6;border-radius: 50%;content: "";display: block;height: 10px;left: 50%;margin: 0;position: absolute;top: 50%;transform: translate(-50%,-50%);width: 10px;}
span.wc-block-components-payment-method-label {font-size: 16px;}
div#radio-control-wc-payment-method-options-cod__content {font-size: 14px;}
form.wc-block-components-form.wc-block-checkout__form h2 {font-size: 16px;font-weight: 600;}
form.wc-block-components-form.wc-block-checkout__form {padding: 30px;border: 1px solid #bdbdbd96;background: rgba(255, 255, 255, 0.75);backdrop-filter: blur(15px);-webkit-backdrop-filter: blur(15px);border: 1px solid rgba(255, 255, 255, 0.3);border-radius: 20px;box-shadow: 0 20px 45px rgba(0, 0, 0, 0.1);overflow: hidden;position: relative;}
form.wc-block-components-form.wc-block-checkout__form::before {animation: float1 6s ease-in-out infinite;}
form.wc-block-components-form.wc-block-checkout__form::before {content: "";position: absolute;width: 220px;height: 220px;background: rgba(0, 255, 157, 0.15);border-radius: 50%;top: -140px;left: -80px;z-index: -1;}
form.wc-block-components-form.wc-block-checkout__form::after {animation: float2 8s ease-in-out infinite;}
form.wc-block-components-form.wc-block-checkout__form::after {content: "";position: absolute;width: 180px;height: 180px;background: rgba(0, 255, 157, 0.1);border-radius: 50%;bottom: -80px;right: -60px;z-index: -1;} 
.wc-block-components-order-summary .wc-block-components-order-summary-item__image>img {max-width: 48px;width: 48px;border: 1px solid #cccccc7d;border-radius: 5px;}
.wc-block-components-order-summary .wc-block-components-order-summary-item {display: flex;padding-bottom: 1px;width: 100%;border-bottom: 1px solid #cccccc6e;margin-bottom: 15px;}
.wp-block-woocommerce-checkout-order-summary-block {padding: 30px;border: 1px solid #bdbdbd96;background: rgba(255, 255, 255, 0.75);backdrop-filter: blur(15px);-webkit-backdrop-filter: blur(15px);border: 1px solid rgba(255, 255, 255, 0.3);border-radius: 20px;box-shadow: 0 20px 45px rgba(0, 0, 0, 0.1);overflow: hidden;position: relative;}
.wp-block-woocommerce-checkout-order-summary-block::before {animation: float1 6s ease-in-out infinite;}
.wp-block-woocommerce-checkout-order-summary-block::before {content: "";position: absolute;width: 220px;height: 220px;background: rgba(0, 255, 157, 0.15);border-radius: 50%;top: -140px;left: -80px;z-index: -1;}
.wp-block-woocommerce-checkout-order-summary-block::after {animation: float2 8s ease-in-out infinite;}
.wp-block-woocommerce-checkout-order-summary-block::after {content: "";position: absolute;width: 180px;height: 180px;background: rgba(0, 255, 157, 0.1);border-radius: 50%;bottom: -80px;right: -60px;z-index: -1;}
.woocommerce-privacy-policy-text p {font-size: 14px;}
.woocommerce .login-form, .login-form h2 {font-size: 24px;font-weight: 600;}
.woocommerce .login-form, .login-form span {font-size: 14px;font-weight: normal;}
.woocommerce .product-card:hover .cart-btn {background: var(--bs-theme-color);color: var(--bs-text-color-white);}
.product-search-results {width: 100%;background: #fff;border-radius: 10px;margin-top: 20px;}
#customer_login {display: flex;gap: 30px;align-items: stretch;position: relative;} 
#customer_login .u-column1, #customer_login .u-column2 {flex: 1;display: flex;flex-direction: column;} 
#customer_login .u-column1, #customer_login .u-column2 {display: flex;flex-direction: column;padding: 20px;border: 1px solid #eee;}
#customer_login form.woocommerce-form.woocommerce-form-login.login {border: none;padding: 6px;}
#customer_login form.woocommerce-form.woocommerce-form-register.register {border: none;padding: 6px;}
#customer_login .woocommerce-form-login__rememberme {margin-bottom: 10px;display: flex;align-items: center;}
.woocommerce form .form-row .input-text:focus, .woocommerce form .form-row select:focus {background: #ffffff!important;border: 1px solid var(--bs-theme-color)!important;box-shadow: none;}
.forgot--password #user_login::placeholder {opacity: 1 !important;visibility: visible;}
.forgot--password #user_login:focus::placeholder {opacity: 1 !important;color: #999;}
#customer_login input::placeholder {opacity: 1 !important;visibility: visible !important;color: #999 !important;}
#customer_login input:focus::placeholder {opacity: 1 !important;color: #aaa !important;}
.lost_reset_password button.woocommerce-Button.button {background: var(--bs-theme-color);color: #fff;border: none;padding: 12px;text-transform: uppercase;font-weight: 600;border-radius: 10px;}
.lost_reset_password input#password_1 {padding: 12px 15px;width: 100%;background: #f4f2f3;border: 1px solid #d7d7d7;border-radius: 10px !important;font-size: 14px;color: #4e4e4e;outline: none;transition: all 0.3s ease;font-weight: 400;}
.lost_reset_password input#password_2 {padding: 12px 15px;width: 100%;background: #f4f2f3;border: 1px solid #d7d7d7;border-radius: 10px !important;font-size: 14px;color: #4e4e4e;outline: none;transition: all 0.3s ease;font-weight: 400;}
.wc-block-components-sidebar .wc-block-components-button:not(.is-link):disabled .wc-block-components-button__text {opacity: .5;color: #262626;}
#radio-control-wc-payment-method-options-stripe__label{font-weight: 500;font-size: 16px;}
#wc-stripe-payment-method-instructions-card{font-size: 14px;}
.woocommerce .user-account-content table.my_account_orders td.woocommerce-orders-table__cell.woocommerce-orders-table__cell-order-actions {display: flex;gap: 10px;}
.wc-block-components-order-summary .wc-block-components-order-summary-item__quantity{background: var(--bs-theme-color);}

.login-form button.btn.woocommerce-button.button.woocommerce-form-login__submit:hover,
.login-form button.btn.woocommerce-Button.woocommerce-button.button.woocommerce-form-register__submit:hover,
.lost_reset_password button.woocommerce-Button.button:hover,
.woocommerce .login-form .btn:hover,
.login-form .btn:hover{color: var(--bs-text-color-white);background-color: var(--bs-custom-btn);}
.cart--summary_details .cart_totals{margin-top: 30px;}
.cart--summary_details .cart_totals .shop_table, form.woocommerce-cart-form.cart--form .shop_table{border: 1px solid #ccc;border-style: dashed;}
form.woocommerce-cart-form.cart--form .shop_table td, form.woocommerce-cart-form.cart--form .shop_table th{border-style: dashed;}
.cart--summary_details .cart_totals, form.woocommerce-cart-form.cart--form {padding: 30px;border: 1px solid #bdbdbd96;background: rgba(255, 255, 255, 0.75);backdrop-filter: blur(15px);-webkit-backdrop-filter: blur(15px);border: 1px solid rgba(255, 255, 255, 0.3);border-radius: 20px;box-shadow: 0 20px 45px rgba(0, 0, 0, 0.1);overflow: hidden;position: relative;}
.cart--summary_details .cart_totals::before, form.woocommerce-cart-form.cart--form::before {content: "";position: absolute;width: 220px;height: 220px;background: rgba(0, 255, 157, 0.15);border-radius: 50%;top: -140px;left: -80px;z-index: -1;}
.cart--summary_details .cart_totals::after, form.woocommerce-cart-form.cart--form::after {content: "";position: absolute;width: 180px;height: 180px;background: rgba(0, 255, 157, 0.1);border-radius: 50%;bottom: -80px;right: -60px;z-index: -1;}
.cart--summary_details .cart_totals::before, form.woocommerce-cart-form.cart--form::before {animation: float1 6s ease-in-out infinite;}
.cart--summary_details .cart_totals::after, form.woocommerce-cart-form.cart--form::after {animation: float2 6s ease-in-out infinite;}
.wp-block-woocommerce-checkout-order-summary-block.checkout-order-summary-block-fill-wrapper {display: none;}


.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard .yith-wcaf-table-top-bar .apply-filters, 
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar .reset-filters, 
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar .select2, 
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar input, 
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar select,
.woocommerce-MyAccount-content.user-account-content input#payment_email,
.woocommerce-MyAccount-content.user-account-content input#original_url,
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row .input-text, 
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row select {
    border-width: 1px;
    border-style: solid;
    border-color: rgb(215, 215, 215);
    border-image: initial;
    border-radius: 10px;
    background: rgb(244, 242, 243);
    font-size: 14px;
    margin-bottom: 10px;
}
.woocommerce-MyAccount-content.user-account-content input#original_url{width: 100%;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-link-generator .link-generator-box.double-column .link-generator h4,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-link-generator .link-generator-box .affiliate-info h4{font-size: 18px;font-weight: 600;}
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row .input-text:focus{background: rgb(244, 242, 243) !important;border-color: rgb(215, 215, 215) !important;}
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row .input-text, 
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row select{height: 40px;}
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row,
.woocommerce .woocommerce-MyAccount-content.user-account-content form .form-row label,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard-settings .settings-box h3{font-size: 16px;font-weight: 600;}

.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard-summary .affiliate-stats .stat-box .stat-item .stat-label {color:var(--bs-text-color-black);font-weight: 600;font-size: 14px;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard ul.yith-wcaf-dashboard-navigation li a:hover,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard ul.yith-wcaf-dashboard-navigation li.is-active a {color:var(--bs-theme-color);}

.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard ul.yith-wcaf-dashboard-navigation li.is-active {border-bottom: 2px solid var(--bs-theme-color);}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table{border-spacing: 0;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table tr td{border-bottom: none;border-left: none;border-right: none;border-radius: 0;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table tr td,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table tr th,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .dashboard-title h3{font-size: 16px;font-weight: 600;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table tr th{padding: 20px;color: var(--bs-text-color-black);font-weight: 700;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard table.yith-wcaf-table tr th a{color: var(--bs-text-color-black);font-weight: 700;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar .apply-filters,
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard-settings input[name="settings_submit"]{
    background-color: var(--bs-custom-btn);
    height: 45px;
    border: none;
    border-radius: 12px;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    width: 100%;
    padding: 12px;
    color: #fff;
}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard-settings input[name="settings_submit"]{width: auto;}
.woocommerce-MyAccount-content.user-account-content a.btn.button.reset-filters {background-color: #00e8a6;height: 45px;border: none;border-radius: 12px;font-size: 16px;font-weight: 600;cursor: pointer;padding: 15px;color: #fff;}
.yith-wcaf-datepicker.ui-datepicker .ui-datepicker-header a.ui-datepicker-next,
.yith-wcaf-datepicker.ui-datepicker .ui-datepicker-header a.ui-datepicker-prev {color: #262626;font-weight: 600;text-decoration: none;}
.yith-wcaf-datepicker.ui-datepicker{max-width: 400px;}
.yith-wcaf-datepicker.ui-datepicker table th{font-size: 15px;border: 1px solid #3333333b;padding: 6px;text-align: center;}
.yith-wcaf-datepicker.ui-datepicker table td:not(.ui-datepicker-other-month){background-color: unset;border: 1px solid #3333333b;padding: 6px;text-align: center;}
.yith-wcaf-datepicker.ui-datepicker table td a{text-decoration: none;font-size: 15px;}
.yith-wcaf-datepicker.ui-datepicker table td:not(.ui-datepicker-other-month).ui-datepicker-current-day,
.yith-wcaf-datepicker.ui-datepicker table td:not(.ui-datepicker-other-month):hover{background-color: var(--bs-theme-color);border-color: var(--bs-theme-color);}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-dashboard-summary .affiliate-stats .stat-box {border: 1px solid rgba(255, 255, 255, 0.3);border-radius: 20px;box-shadow: 0 20px 45px rgba(0, 0, 0, 0.1);}

form.woocommerce-cart-form.cart--form tbody,
form.woocommerce-cart-form.cart--form td,
form.woocommerce-cart-form.cart--form tfoot,
form.woocommerce-cart-form.cart--form th,
form.woocommerce-cart-form.cart--form thead,
form.woocommerce-cart-form.cart--form tr{border-width: 1px;}

.wp-block-woocommerce-checkout-order-summary-totals-block,
.wc-block-checkout__terms.wc-block-checkout__terms--with-separator,
.wc-block-components-totals-wrapper {border-top: 1px solid rgba(0, 0, 0, 0.2);}
.wc-block-components-address-card,
.wc-block-components-radio-control--highlight-checked:after{border: 1px solid rgba(0, 0, 0, 0.2);}
.wc-block-components-radio-control--highlight-checked .wc-block-components-radio-control-accordion-option--checked-option-highlighted,
.wc-block-components-radio-control--highlight-checked label.wc-block-components-radio-control__option--checked-option-highlighted {box-shadow: none;border: 1px solid rgba(0, 0, 0, 0.2);}

.woocommerce-MyAccount-content.user-account-content  span.select2.select2-container.select2-container--default.select2-container--below.select2-container--focus {border: unset;}
.woocommerce-MyAccount-content.user-account-content span.select2-selection.select2-selection--single {padding: 7px 0px !important;background: #f4f2f3;border-width: unset;border-color: unset;border-image: initial;border-radius: 10px;border: 1px solid #ccc;}
.woocommerce-MyAccount-content.user-account-content .yith-wcaf-dashboard .yith-wcaf-table-top-bar .select2{border-width: 0;}
 
.select2-container span.select2-results li {font-size: 14px;}
.download--file_btn a {max-width: 186px;width: 100%;text-transform: uppercase;color: var(--bs-theme-color);border-radius: 12px;}

@media (max-width: 1200px) {
.forgot--password {width: 100%;max-width: 100%; margin-bottom: 80px;}
   
}
@media (min-width: 1025px) and (max-width: 1364px) {
    #customer_login {display:flex; margin-bottom: 80px;}
    section.custom-space-top.footer-bg{margin-top: 150px;}
}

@media (min-width: 768px) and (max-width: 1024px){
    #customer_login .u-column1, #customer_login .u-column2 {padding: 15px;}
    #customer_login {display:flex; margin-bottom: 80px;}
    #customer_login form.woocommerce-form.woocommerce-form-register.register { padding: 5px;}

    .wc-block-components-order-summary .wc-block-components-order-summary-item {gap: 10px;}
    .wp-block-woocommerce-checkout-order-summary-block {padding: 10px;}
    .wc-block-components-order-summary {padding: 0 5px;}
    .wc-block-components-order-summary .wc-block-components-order-summary-item__description {padding: 4px 12px 12px 5px!important;word-break: break-word;}
    .wc-block-components-sidebar.wc-block-checkout__sidebar h3.wc-block-components-product-name {font-weight: 600;font-size: 14px;}
}
@media (max-width: 767px) {
    .error-bg .error h1 { font-size: 18px;}
    .error-bg .error {padding: 10px;}
    section.error-bg { margin-bottom: 80px;}
    .error-bg .error p {font-size: 14px;}
    .desc p br { display: none;}
    .woocommerce-MyAccount-content.user-account-content{margin-top: 30px;margin-bottom: 80px;}
    #agePopup .card-stper h2{font-size:30px;}
    #agePopup .btn-group-custom{flex-direction:column;}
    #agePopup .card-stper{padding:20px;}
    #customer_login .u-column1, #customer_login .u-column2 {padding: 15px;}
    #customer_login {display: grid; margin-bottom: 80px;}
    #customer_login form.woocommerce-form.woocommerce-form-register.register { padding: 5px;}
    .wc-block-components-order-summary .wc-block-components-order-summary-item {gap: 10px;
}
.wp-block-woocommerce-checkout-order-summary-block {padding: 10px;margin-bottom: 20px;}
.wc-block-components-order-summary {padding: 0 5px;}
.wc-block-components-order-summary .wc-block-components-order-summary-item__description {padding: 4px 12px 12px 5px!important;word-break: break-word;}
.wc-block-components-sidebar.wc-block-checkout__sidebar h3.wc-block-components-product-name {font-weight: 600;font-size: 14px;}
.woocommerce-cart.woocommerce-page form.woocommerce-cart-form.cart--form table.cart td.actions .input-text {width: 100%;margin-bottom: 15px;}
}
@media (max-width: 576px) {
    div#products-container .product--items {width: 50%;}
}